View Issue Details

IDProjectCategoryView StatusLast Update
0032127FPCCompilerpublic2019-11-05 01:17
ReporterMax Nazhalov Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformWin32 
Product Version3.1.1 
Summary0032127: [msdos] ie2014032801 in rare cases when inlining in COMPACT memory model
DescriptionReduced example attached: inlining codepointer conversion (near->far) triggers IE in this memory model.
Steps To Reproducefpc -Pi8086 -Tmsdos -WmCompact ie2014032801-compact.pp
Tagsinternal error
Fixed in Revision
FPCOldBugId
FPCTarget-
Attached Files

Activities

Max Nazhalov

2017-07-08 15:42

reporter  

Max Nazhalov

2019-09-03 16:31

reporter   ~0117938

Last edited: 2019-09-03 16:32

View 2 revisions

Seems been fixed meanwhile..

Florian

2019-11-04 21:17

administrator   ~0119059

Reported as fixed meanwhile by the reporter.

Issue History

Date Modified Username Field Change
2017-07-08 15:42 Max Nazhalov New Issue
2017-07-08 15:42 Max Nazhalov File Added: ie2014032801-compact.pp
2017-07-08 15:44 Max Nazhalov Tag Attached: internal error
2019-09-03 16:31 Max Nazhalov Note Added: 0117938
2019-09-03 16:32 Max Nazhalov Note Edited: 0117938 View Revisions
2019-11-04 21:17 Florian Assigned To => Florian
2019-11-04 21:17 Florian Status new => resolved
2019-11-04 21:17 Florian Resolution open => no change required
2019-11-04 21:17 Florian FPCTarget => -
2019-11-04 21:17 Florian Note Added: 0119059
2019-11-05 01:17 Max Nazhalov Status resolved => closed